## irreco-backend-mythtv 0.6.0

=== Makefile ===

PREFIX = $(strip $(shell cat installroot.tmp))
ifeq ($(PREFIX), )
PREFIX := /usr
endif

INSTALL_PATH=$(PREFIX)/lib/irreco/backends/

LIBRARIES = gtk+-2.0 glib-2.0 irreco irreco-util

CFLAGS = -Wall `pkg-config --cflags $(LIBRARIES)`
LDFLAGS = `pkg-config --libs $(LIBRARIES)`

lib_myth_backend.la: myth_backend.lo
	libtool --mode=link \
	gcc -shared $(LDFLAGS) $^ -o $@ -rpath $(INSTALL_PATH) 

myth_backend.lo: myth_backend.c
	libtool --mode=compile \
	gcc -c $(CFLAGS) $^ -o $@

REAL_INSTALL_DIR = $(DESTDIR)$(DEB_PREFIX)$(INSTALL_PATH)
install: lib_myth_backend.la
	mkdir -p $(REAL_INSTALL_DIR)
	libtool --mode=install install -c $^ $(REAL_INSTALL_DIR)/$^
	libtool --mode=finish $(REAL_INSTALL_DIR)

clean:
	-rm *.o *.lo *.la
	-rm -r .libs

distclean: clean
	-rm installroot.tmp

=== debian/changelog ===
irreco-backend-mythtv (0.6.0) unstable; urgency=low

  * Initial release

 -- Jami Pekkanen <jami.pekkanen@tkk.fi>  Wed, 27 Sep 2007 18:59:00 +0300

=== debian/control ===
Source: irreco-backend-mythtv
Section: user/multimedia
Priority: optional
Maintainer: Sampo Savola <samposav@paju.oulu.fi>
Build-Depends: debhelper (>= 5), irreco-core-dev, intltool, libhildon1-dev, libhildonfm2-dev
Standards-Version: 3.7.2

Package: irreco-backend-mythtv
Architecture: any
Depends: irreco-core
Replaces: irreco
Description: MythTV backend for irreco

=== debian/rules ===
#!/usr/bin/make -f

build: build-stamp

build-stamp:
	dh_testdir
	
	make
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	make clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	make install DEB_PREFIX=$(CURDIR)/debian/tmp

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch
.PHONY: build clean binary-arch binary install
